View Issue Details

IDProjectCategoryView StatusLast Update
0000771SpeedFanHardware supportpublic2011-08-17 17:15
Reporter__Miguel_Assigned Toalfredo 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
PlatformASRock 775i945GZOSWindows Server 2003OS VersionEnterprise x64
Product Version4.31 
Target VersionFixed in Version 
Summary0000771: Winbond W83195CG-GS not supported
DescriptionHello. It seems I have too much time on my hands today, I managed to get another feature request sent...

Anyway, I have had an ASRock 775i945GZ motherboard for a few months now, and it is still not supported in SpeedFan. It has two fan headers (4-pin PWM CPU and 3-pin System) and, although it is identified as having a W83627EHG chip, it in fact has a W93195CG-GS one. I cannot, therefore, use Speedfan to control my fans on this system.

Would it be possible to add this chip to the list of supported hardware? If it is, will it be possible to adjust the fan speed of a 3-pin fan on the CPU fan header? I don't use 4-pin fans yet...

Thank you very much.

Cheers.

Miguel


P.S.: Net to the Winbond chip, there is a large black block reading "TD1603CR" on the first line, and "0608" on the second one. I never saw something like that on a motherboard. What is it?
TagsNo tags attached.
Motherboard Model
Video Card Model945GZ integrated

Relationships

related to 0001859 closedalfredo Asrock 775i945gz cannot control CHA_FAN1 

Activities

twonkie

2011-08-16 12:33

reporter   ~0006375

The W83195CG-GS (note the 83, not 93) is the clock generator on the board, not the hardware monitoring chip.

Using SF4.44 temperature / fan speed readouts seem to be ok, fan control of 4pin CPU fan is also working.

3pin CHA_FAN1 cannot be controlled (not in PWM mode, neither in DC out mode), see also issue 0001859 (http://www.bugtrack.almico.com/view.php?id=1859).

__Miguel_

2011-08-16 18:11

reporter   ~0006376

Thank you for updating this topic, twonkie.

Sadly, though, that motherboard has been out of commission for about a year now (upgrades and whatnot; I also believe it might be broken, though I haven't been able to test it thoroughly), so this might be a dead-end for me...

However, based on your findings, it seems everything capable of being controlled is already controllable by SpeedFan: there are plenty of motherboards/hardware monitoring chips where only 4-pin headers are controllable, and even then only in PWM mode).

alfredo

2011-08-17 17:14

manager   ~0006382

@__Miguel_
Consider that the hardware monitor chips can rarely control fans directly. They need some external circuitry to drive a fan. The manufacturer chooses what type of fans to support. On most Intel boards I know that there is some circuitry that is able to handle both 3 and 4-wire fans.

Issue History

Date Modified Username Field Change
2007-01-28 13:17 __Miguel_ New Issue
2007-01-28 13:17 __Miguel_ Video Card Model => 945GZ integrated
2011-08-16 12:33 twonkie Note Added: 0006375
2011-08-16 18:11 __Miguel_ Note Added: 0006376
2011-08-17 17:12 alfredo Relationship added related to 0001859
2011-08-17 17:12 alfredo Status assigned => acknowledged
2011-08-17 17:14 alfredo Note Added: 0006382
2011-08-17 17:15 alfredo Status acknowledged => resolved
2011-08-17 17:15 alfredo Resolution open => no change required